header .menu {
    position: fixed;
    bottom: .5em;
    left: 50%;
    height: fit-content;
    max-width: calc(1500px - 1em);
    width: calc(100% - 1em);
    min-height: fit-content;
    transform: translateX(-50%);
    border-radius: 40px;
    background-color: var(--basicWhite);
    box-shadow: 0px 3px 6px #00000029;
    z-index: 100;
}

.menu .containerMenuLink {
    display: flex;
    justify-content: space-between;
    gap: .5em;
    padding: .5em 1em;
}

.menu .containerMenuLink .menuElement{
    min-width: calc((100% - 1em * 4) / 5) ;
}

.menu .containerMenuLink .menuElement a {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: .25em;
}

.menu .containerMenuLink .menuElement .svgWrapper {
    display: flex;
}

.menu .containerMenuLink .menuElement .svgWrapper svg {
    width: 1.25em;
    height: 1.25em;
}

.menu .containerMenuLink .menuElement .qrCode{
    padding: .75em;
    background-color: var(--basicColor1);
    border-radius: 100%;
    position: absolute;
    bottom: 30%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.menu .containerMenuLink .menuElement .qrCode svg{
    width: 1.5em;
    height: 1.5em;
}

.menu .containerMenuLink .menuElement .qrCode svg *{
    fill: var(--basicWhite);
}

.parentSubMenu .subMenu {
    position: absolute;
    height: calc(100dvh - (100% + 1.5em));
    width: 100%;
    bottom: 100dvh;
    background-color: var(--basicWhite);
    margin-top: 2em;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: var(--smallRadius);
    padding: 1.5em;
    left: 0;
    transform: translateX(0);
    transition: ease all .3s;
    overflow: auto;
    opacity: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2em;
}

.parentSubMenu.active .subMenu {
    bottom: calc(100% + .5em);
    opacity: 1;
}

.parentSubMenu .subMenu > img,
.parentSubMenu .subMenu > svg{
    width: 50%;
    height: auto;
    min-height: 3em;
    object-fit: contain;
}

.parentSubMenu .subMenu .subMenuGroup,
.parentSubMenu .subMenu .subMenuGroup .subMenuList{
    display: flex;
    flex-direction: column;
    gap: .5em;
    width: 100%;
}

.parentSubMenu .subMenu .subMenuGroup.multi{
    border-radius: var(--smallRadius);
    box-shadow: 0px 3px 6px #00000029;
    padding: .75em;
}

.parentSubMenu .subMenu .subMenuGroup .subMenuList:not(.multi){
    gap: .5em;
}


.parentSubMenu .subMenu .subMenuGroup .scannIcon {
    width: fit-content;
    margin: 0 auto;
    background-color: var(--basicColor1);
    border-radius: 100%;
    padding: .5em;
}

.parentSubMenu .subMenu .subMenuGroup .scannIcon span{
    display: flex;
}

.parentSubMenu .subMenu .subMenuGroup .scannIcon span svg{
    width: 2em;
    height: 2em;
}



